<?php
/**
 * @package WordPress
 * @subpackage listio
 */

if( !function_exists('listio_admin_notifications') ): 
    function listio_admin_notifications() {
        add_settings_section( 'listio_notifications_section', __( 'Notifications', 'listio' ), 'listio_notifications_section_callback', 'listio_notifications_settings' );
        add_settings_field( 'listio_notify_agent_publish_field', __( 'Notify agent when properties are published', 'listio' ), 'listio_notify_agent_publish_field_render', 'listio_notifications_settings', 'listio_notifications_section' );
        add_settings_field( 'listio_notify_admin_publish_field', __( 'Notify admin when properties are published', 'listio' ), 'listio_notify_admin_publish_field_render', 'listio_notifications_settings', 'listio_notifications_section' );
    }
endif;

if( !function_exists('listio_notifications_section_callback') ): 
    function listio_notifications_section_callback() { 
        echo '';
    }
endif;

if( !function_exists('listio_notify_agent_publish_field_render') ): 
    function listio_notify_agent_publish_field_render() {
        $options = get_option( 'listio_notifications_settings' );
        ?>
        <input type="checkbox" name="listio_notifications_settings[listio_notify_agent_publish_field]" <?php if(isset($options['listio_notify_agent_publish_field'])) { checked( $options['listio_notify_agent_publish_field'], 1 ); } ?> value="1">
        <?php
    }
endif;

if( !function_exists('listio_notify_admin_publish_field_render') ): 
    function listio_notify_admin_publish_field_render() {
        $options = get_option( 'listio_notifications_settings' );
        ?>
        <input type="checkbox" name="listio_notifications_settings[listio_notify_admin_publish_field]" <?php if(isset($options['listio_notify_admin_publish_field'])) { checked( $options['listio_notify_admin_publish_field'], 1 ); } ?> value="1">
        <?php
    }
endif;

?>