<?php

/**
* event Post Type
*/
if( !function_exists('forgood_event_post_type_css') ): 
    function forgood_event_post_type_css() {
        wp_enqueue_style('forgood_plugin_style', PLUGIN_PATH . '/css/style.css', false, '1.0', 'all');
        wp_enqueue_script('event', PLUGIN_PATH . '/js/event.js', false, '1.0', true);
    }
endif;
add_action('init', 'forgood_event_post_type_css');

if(!function_exists('forgood_event_post_type')){
    function forgood_event_post_type(){
        $labels = array(
            'name'                  => esc_html__( 'Event', 'forgood' ),
            'singular_name'         => esc_html__( 'event', 'forgood' ),
            'menu_name'             => esc_html__( 'event', 'forgood' ),
            'parent_item_colon'     => esc_html__( 'Parent event', 'forgood' ),
            'all_items'             => esc_html__( 'All event', 'forgood' ),
            'view_item'             => esc_html__( 'View event', 'forgood' ),
            'add_new_item'          => esc_html__( 'Add New event', 'forgood' ),
            'add_new'               => esc_html__( 'New event', 'forgood' ),
            'edit_item'             => esc_html__( 'Edit event', 'forgood' ),
            'update_item'           => esc_html__( 'Update event', 'forgood' ),
            'search_items'          => esc_html__( 'Search event', 'forgood' ),
            'not_found'             => esc_html__( 'No event found', 'forgood' ),
            'not_found_in_trash'    => esc_html__( 'No event found in Trash', 'forgood' )
        );
        $args = array(
            'labels'            => $labels,
            'public'            => true,
            'publicly_queryable'=> true,
            'show_in_menu'      => true,
            'show_in_admin_bar' => true,
            'can_export'        => true,
            'has_archive'       => false,
            'hierarchical'      => false,
            'menu_icon'         => 'dashicons-format-aside',
            'supports'          => array('title', 'editor', 'thumbnail'),
            'taxonomies'        => array( 'category', 'post_tag'),
            'register_meta_box_cb'  => 'forgood_add_event_metaboxes',
        );

        register_post_type( 'event', $args );
    }
}
add_action( 'init', 'forgood_event_post_type');



function forgood_add_event_metaboxes() {
    add_meta_box('event-details-section', __('Details', 'forgood'), 'forgood_event_details_render', 'event', 'normal', 'default');
}

if( !function_exists('forgood_event_details_render') ): 
    function forgood_event_details_render($post) {
        // wp_nonce_field(PLUGIN_BASENAME, 'event_noncename');

        print '
        <table width="100%" border="0" cellspacing="0" cellpadding="0">
            <tr>
                <td width="50%" valign="top" align="left">
                    <div class="adminField">
                        <label for="event_duration">' . __('Event Duration', 'forgood') . '</label><br />
                        <input type="text" class="formInput" id="event_duration" name="event_duration" placeholder="' . __('Event Duration', 'forgood') . '" value="' . esc_attr(get_post_meta($post->ID, 'event_duration', true)) . '" />
                    </div>
                </td>
                <td width="50%" valign="top" align="left">
                    <div class="adminField">
                        <label for="event_type">' . __('Event Type', 'forgood') . '</label><br />
                        <input type="text" class="formInput" id="event_type" name="event_type" placeholder="' . __('Event Type', 'forgood') . '" value="' . esc_attr(get_post_meta($post->ID, 'event_type', true)) . '" />
                    </div>
                </td>
            </tr>
        </table>
        <table width="100%" border="0" cellspacing="0" cellpadding="0">
            <tr>
                <td width="50%" valign="top" align="left">
                    <div class="adminField">
                        <label for="event_item_date">' . __('Event Date', 'forgood') . '</label><br />
                        <input type="text" class="formInput" id="event_item_date" name="event_item_date" placeholder="' . __('Enter Event Date', 'forgood') . '" value="' . esc_attr(get_post_meta($post->ID, 'event_item_date', true)) . '" />
                    </div>
                </td>
                <td width="50%" valign="top" align="left">
                    <div class="adminField">
                        <label for="event_item_sort_date">' . __('Event Sort Date', 'forgood') . '</label><br />
                        <input type="text" class="formInput" id="event_item_sort_date" name="event_item_sort_date" placeholder="' . __('Enter Event Date', 'forgood') . '" value="' . esc_attr(get_post_meta($post->ID, 'event_item_sort_date', true)) . '" />
                    </div>
                </td>
            </tr>
        </table>
        <table width="100%" border="0" cellspacing="0" cellpadding="0">
            <tr>
                <td width="50%" valign="top" align="left">
                    <div class="adminField">
                        <label for="event_item_btn_text">' . __('Btn Text', 'forgood') . '</label><br />
                        <input type="text" class="formInput" id="event_item_btn_text" name="event_item_btn_text" placeholder="' . __('Enter Btn Text', 'forgood') . '" value="' . esc_attr(get_post_meta($post->ID, 'event_item_btn_text', true)) . '" />
                    </div>
                </td>
                <td width="50%" valign="top" align="left">
                    <div class="adminField">
                        <label for="event_item_btn_url">' . __('Btn Url', 'forgood') . '</label><br />
                        <input type="text" class="formInput" id="event_item_btn_url" name="event_item_btn_url" placeholder="' . __('Enter Btn Url', 'forgood') . '" value="' . esc_attr(get_post_meta($post->ID, 'event_item_btn_url', true)) . '" />
                    </div>
                </td>
            </tr>
        </table>
        <table width="100%" border="0" cellspacing="0" cellpadding="0">
            <tr>
                <td width="50%" valign="top" align="left">
                    <div class="adminField">
                        <label for="event_start_time">' . __('Event Start Time', 'forgood') . '</label><br />
                        <input type="text" class="formInput" id="event_start_time" name="event_start_time" placeholder="' . __('Event Start Time', 'forgood') . '" value="' . esc_attr(get_post_meta($post->ID, 'event_start_time', true)) . '" />
                    </div>
                </td>
                <td width="50%" valign="top" align="left">
                    <div class="adminField">
                        <label for="event_end_time">' . __('Event End Time', 'forgood') . '</label><br />
                        <input type="text" class="formInput" id="event_end_time" name="event_end_time" placeholder="' . __('Event End Time', 'forgood') . '" value="' . esc_attr(get_post_meta($post->ID, 'event_end_time', true)) . '" />
                    </div>
                </td>
            </tr>
        </table>
        <table width="100%" border="0" cellspacing="0" cellpadding="0">
            <tr>
                <td width="100%" valign="top" align="left">
                    <div class="adminField">
                        <label for="event_location">' . __('Event Location', 'forgood') . '</label><br />
                        <input type="text" class="formInput" id="event_location" name="event_location" placeholder="' . __('Enter Event Location', 'forgood') . '" value="' . esc_attr(get_post_meta($post->ID, 'event_location', true)) . '" />
                    </div>
                </td>
            </tr>
        </table>
        <table width="100%" border="0" cellspacing="0" cellpadding="0">
            <tr>
                <td width="50%" valign="top" align="left">
                    <div class="adminField">
                        <label for="event_organizer_by">' . __('Event Organizer', 'forgood') . '</label><br />
                        <input type="text" class="formInput" id="event_organizer_by" name="event_organizer_by" placeholder="' . __('Event Organizer', 'forgood') . '" value="' . esc_attr(get_post_meta($post->ID, 'event_organizer_by', true)) . '" />
                    </div>
                </td>
                <td width="50%" valign="top" align="left">
                    <div class="adminField">
                        <label for="event_organizer_name">' . __('Event Organizer Name', 'forgood') . '</label><br />
                        <input type="text" class="formInput" id="event_organizer_name" name="event_organizer_name" placeholder="' . __('Event Organizer Name', 'forgood') . '" value="' . esc_attr(get_post_meta($post->ID, 'event_organizer_name', true)) . '" />
                    </div>
                </td>
            </tr>
        </table>
        <table width="100%" border="0" cellspacing="0" cellpadding="0">
            <tr>
                <td width="50%" valign="top" align="left">
                    <div class="adminField">
                        <label for="event_organizer_phone">' . __('Event Organizer Phone', 'forgood') . '</label><br />
                        <input type="text" class="formInput" id="event_organizer_phone" name="event_organizer_phone" placeholder="' . __('Event Organizer Phone', 'forgood') . '" value="' . esc_attr(get_post_meta($post->ID, 'event_organizer_phone', true)) . '" />
                    </div>
                </td>
                <td width="50%" valign="top" align="left">
                    <div class="adminField">
                        <label for="event_organizer_email">' . __('Event Organizer Email', 'forgood') . '</label><br />
                        <input type="text" class="formInput" id="event_organizer_email" name="event_organizer_email" placeholder="' . __('Event Organizer Email', 'forgood') . '" value="' . esc_attr(get_post_meta($post->ID, 'event_organizer_email', true)) . '" />
                    </div>
                </td>
            </tr>
        </table>
        <table width="100%" border="0" cellspacing="0" cellpadding="0">
            <tr>
                <td width="50%" valign="top" align="left">
                    <div class="adminField">
                        <label for="event_map_lat">' . __('Event Map Lat', 'forgood') . '</label><br />
                        <input type="text" class="formInput" id="event_map_lat" name="event_map_lat" placeholder="' . __('23.79251', 'forgood') . '" value="' . esc_attr(get_post_meta($post->ID, 'event_map_lat', true)) . '" />
                    </div>
                </td>
                <td width="50%" valign="top" align="left">
                    <div class="adminField">
                        <label for="event_map_long">' . __('Event Map Long', 'forgood') . '</label><br />
                        <input type="text" class="formInput" id="event_map_long" name="event_map_long" placeholder="' . __('90.42893', 'forgood') . '" value="' . esc_attr(get_post_meta($post->ID, 'event_map_long', true)) . '" />
                    </div>
                </td>
            </tr>
        </table>';
    }
endif;

if( !function_exists('forgood_event_meta_save') ): 
    function forgood_event_meta_save($post_id) {
        $is_autosave = wp_is_post_autosave($post_id);
        $is_revision = wp_is_post_revision($post_id);
        $is_valid_nonce = (isset($_POST['event_noncename']) && wp_verify_nonce($_POST['event_noncename'], PLUGIN_BASENAME)) ? 'true' : 'false';

        if ($is_autosave || $is_revision || !$is_valid_nonce) {
            return;
        }

        if(isset($_POST['event_duration'])) {
            update_post_meta($post_id, 'event_duration', sanitize_text_field($_POST['event_duration']));
        }
        if(isset($_POST['event_type'])) {
            update_post_meta($post_id, 'event_type', sanitize_text_field($_POST['event_type']));
        }
        if(isset($_POST['event_item_date'])) {
            update_post_meta($post_id, 'event_item_date', sanitize_text_field($_POST['event_item_date']));
        }
        if(isset($_POST['event_item_sort_date'])) {
            update_post_meta($post_id, 'event_item_sort_date', sanitize_text_field($_POST['event_item_sort_date']));
        }
        if(isset($_POST['event_item_btn_text'])) {
            update_post_meta($post_id, 'event_item_btn_text', sanitize_text_field($_POST['event_item_btn_text']));
        }
        if(isset($_POST['event_item_btn_url'])) {
            update_post_meta($post_id, 'event_item_btn_url', sanitize_text_field($_POST['event_item_btn_url']));
        }
        if(isset($_POST['event_start_time'])) {
            update_post_meta($post_id, 'event_start_time', sanitize_text_field($_POST['event_start_time']));
        }
        if(isset($_POST['event_end_time'])) {
            update_post_meta($post_id, 'event_end_time', sanitize_text_field($_POST['event_end_time']));
        }
        if(isset($_POST['event_location'])) {
            update_post_meta($post_id, 'event_location', sanitize_text_field($_POST['event_location']));
        }
        if(isset($_POST['event_organizer_by'])) {
            update_post_meta($post_id, 'event_organizer_by', sanitize_text_field($_POST['event_organizer_by']));
        }
        if(isset($_POST['event_organizer_name'])) {
            update_post_meta($post_id, 'event_organizer_name', sanitize_text_field($_POST['event_organizer_name']));
        }
        if(isset($_POST['event_organizer_phone'])) {
            update_post_meta($post_id, 'event_organizer_phone', sanitize_text_field($_POST['event_organizer_phone']));
        }
        if(isset($_POST['event_organizer_email'])) {
            update_post_meta($post_id, 'event_organizer_email', sanitize_text_field($_POST['event_organizer_email']));
        }
        if(isset($_POST['event_map_lat'])) {
            update_post_meta($post_id, 'event_map_lat', sanitize_text_field($_POST['event_map_lat']));
        }
        if(isset($_POST['event_map_long'])) {
            update_post_meta($post_id, 'event_map_long', sanitize_text_field($_POST['event_map_long']));
        }

    }
endif;
add_action('save_post', 'forgood_event_meta_save');

?>